## gmap 2023-06-01+ds

=== debian/changelog ===
gmap (2023-06-01+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

  [ Michael R. Crusoe ]
  * Use debian package of SIMDe instead of code-copy.
  * d/patches/simd_fixes: fix compiling "lower" SIMD levels on processors that
    have more advanced features.
  * d/rules: build all SIMD variants for x86-64

 -- Andreas Tille <tille@debian.org>  Thu, 13 Jul 2023 14:30:43 +0200
