=== debian/control ===
Source: gmap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shaun Jackman <sjackman@debian.org>,
           Andreas Tille <tille@debian.org>,
           Alexandre Mestiashvili <mestia@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               help2man,
               libbz2-dev,
               zlib1g-dev,
               debhelper,
               libsimde-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/gmap
Vcs-Git: https://salsa.debian.org/med-team/gmap.git
Homepage: http://research-pub.gene.com/gmap
Rules-Requires-Root: no

Package: gmap
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64
#not s390x
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: spliced and SNP-tolerant alignment for mRNA and short reads
 This package contains the programs GMAP and GSNAP as well as
 utilities to manage genome databases in GMAP/GSNAP format.
 GMAP (Genomic Mapping and Alignment Program) is a tool for aligning
 EST, mRNA and cDNA sequences.
 GSNAP (Genomic Short-read Nucleotide Alignment Program) is a tool for
 aligning single-end and paired-end transcriptome reads.
 Both tools can use a database of
  * known splice sites and identify novel splice sites.
  * known single-nucleotide polymorphisms (SNPs).
 GSNAP can align bisulfite-treated DNA.
