## gmap 2023-07-20+ds

=== debian/changelog ===
gmap (2023-07-20+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Aug 2023 18:17:18 +0200
