## gmap 2023-12-01+ds

=== debian/changelog ===
gmap (2023-12-01+ds-2) unstable; urgency=medium

  * d/control: add support for loong64 architecture. (Closes: #1059092)
  * d/rules: update bindir and utildir.
    This fixes the production of manual pages.
  * d/rules: provide manual pages for gmapl and gsnapl.
  * d/gmap.lintian-overrides: override missing SIMD variant manuals.

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Dec 2023 19:04:49 +0100

gmap (2023-12-01+ds-1) unstable; urgency=medium

  * New upstream version
  * remove_getopt_code_copy.patch: refresh.
  * simd_fixes: patch refresh.
  * missing-include.patch: new.
    This patch fixes a build failure when targeting non-simd machines.

 -- Étienne Mollier <emollier@debian.org>  Fri, 08 Dec 2023 13:10:38 +0100

gmap (2023-10-10.v2+ds-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 Nov 2023 22:57:04 +0100

gmap (2023-10-10+ds-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Oct 2023 20:21:01 +0200

gmap (2023-10-01+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1041451
  * Refreshed patches.
  * d/patches/simd_fixes: ignore HAVE_TZCNT & HAVE_LZCNT

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 05 Oct 2023 15:30:54 +0200
