=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Rules-Requires-Root: no
 
 Package: gmap
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64
 #not s390x
 Depends: ${misc:Depends},
          ${perl:Depends},
