## gmap 2024-02-22+ds

=== debian/changelog ===
gmap (2024-02-22+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:01:04 +0000

gmap (2024-02-22+ds-1) unstable; urgency=medium

  * New upstream version 2024-02-22+ds
  * remove_getopt_code_copy.patch: refresh.
  * patch simd_fixes: refresh.
  * missing-include.patch: delete: file removed upstream.

 -- Étienne Mollier <emollier@debian.org>  Mon, 26 Feb 2024 21:01:08 +0100
