=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gmap
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
            Andreas Tille <tille@debian.org>,
            Alexandre Mestiashvili <mestia@debian.org>,
