## gmap 2024-05-20+ds

=== debian/changelog ===
gmap (2024-05-20+ds-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: simplify architecture specifications by using provisions
    from the architecture-properties package.

  [ Étienne Mollier ]
  * New upstream version 2024-05-20+ds
  * Unfuzz patches.

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 May 2024 11:46:52 +0200
