## gmap 2024-06-24+ds

=== debian/changelog ===
gmap (2024-06-24+ds-1) unstable; urgency=medium

  * New upstream version 2024-06-24+ds

 -- Étienne Mollier <emollier@debian.org>  Sun, 14 Jul 2024 10:21:29 +0200
