=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gmap
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
            Andreas Tille <tille@debian.org>,
            Alexandre Mestiashvili <mestia@debian.org>,
@@ -8,6 +7,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-little-endian,
                help2man,
                libbz2-dev,
                zlib1g-dev,
@@ -20,8 +20,7 @@
 Rules-Requires-Root: no
 
 Package: gmap
-Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64
-#not s390x
+Architecture: any
 Depends: ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
