## gmap 2024-10-10+ds

=== debian/changelog ===
gmap (2024-10-10+ds-1) unstable; urgency=medium

  * New upstream version 2024-10-10+ds
  * simd_fixes: patch unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Oct 2024 13:26:16 +0200

gmap (2024-09-18+ds-1) unstable; urgency=medium

  * New upstream version 2024-09-18+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 01 Oct 2024 20:15:51 +0200

gmap (2024-08-20+ds-1) unstable; urgency=medium

  * New upstream version 2024-08-20+ds
  * Unfuzz patches.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Aug 2024 20:06:35 +0200
