## gmap 2024-10-20+ds

=== debian/changelog ===
gmap (2024-10-20+ds-1) unstable; urgency=medium

  * New upstream version 2024-10-20+ds
  * remove_getopt_code_copy.patch: unfuzz.
  * d/s/local-options: remove: avoid various latent interferences.
  * remove_getopt_code_copy.patch: normalize date.
  * d/patches/install-data-local: identified authorship.
  * d/salsa-ci.yml: disable reprotest.
    The test takes an exceedingly long time to run, so prefer to disable
    it to reduce stress on Salsa CI infrastructure.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Nov 2024 19:32:41 +0100
