## gmap 2024-11-20+ds

=== debian/changelog ===
gmap (2024-11-20+ds-2) unstable; urgency=medium

  * c23.patch: new: fix build failure with gcc 15. (Closes: #1096727)
  * d/control: declare compliance to standards version 4.7.1.

 -- Étienne Mollier <emollier@debian.org>  Tue, 25 Feb 2025 23:11:02 +0100

gmap (2024-11-20+ds-1) unstable; urgency=medium

  * New upstream version 2024-11-20+ds

 -- Étienne Mollier <emollier@debian.org>  Sat, 30 Nov 2024 18:46:00 +0100
