=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                zlib1g-dev,
                debhelper,
                libsimde-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/med-team/gmap
 Vcs-Git: https://salsa.debian.org/med-team/gmap.git
 Homepage: http://research-pub.gene.com/gmap
