## gmap 2025-07-31+ds

=== debian/changelog ===
gmap (2025-07-31+ds-1) unstable; urgency=medium

  * New upstream version 2025-07-31+ds
  * simd_fixes: refresh the patch.
  * c23.patch: delete: it is applied upstream.
  * d/copyright: remove unnecessarily excluded file.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to watch file version 5.

 -- Étienne Mollier <emollier@debian.org>  Fri, 03 Oct 2025 20:59:18 +0200
