=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
                zlib1g-dev,
                debhelper,
                libsimde-dev
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/gmap
 Vcs-Git: https://salsa.debian.org/med-team/gmap.git
 Homepage: http://research-pub.gene.com/gmap
-Rules-Requires-Root: no
 
 Package: gmap
 Architecture: any
