=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 mandir  := $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
-utildir := $(CURDIR)/util
-bindir  := $(CURDIR)/src
+utildir := $(CURDIR)/build/util
+bindir  := $(CURDIR)/build/src
 
 include /usr/share/dpkg/architecture.mk
 
@@ -16,9 +16,11 @@
 %:
 	dh  $@ --builddir build
 
+
 override_dh_auto_configure:
 	rm -Rf src/simde
 ifeq (amd64,$(DEB_HOST_ARCH))
+# TODO: redo this based upon the amd64 micro-architectural levels; x86-64-v3 includes BMI1 BMI2 LZCNT, etc..
 	DEB_CFLAGS_MAINT_APPEND="${DEB_CFLAGS_MAINT_APPEND} -UHAVE_MM_EXTRACT_EPI64 -UHAVE_STTNI" dh_auto_configure --reload-all-buildenv-variables -- --with-gmapdb=/var/cache/gmap \
 	--bindir=/usr/lib/gmap --enable-simd --with-simd-level=sse2
 	DEB_CFLAGS_MAINT_APPEND="${DEB_CFLAGS_MAINT_APPEND} -UHAVE_MM_EXTRACT_EPI64 -UHAVE_STTNI" dh_auto_configure --reload-all-buildenv-variables --builddir build_ssse3 -- --with-gmapdb=/var/cache/gmap \
@@ -58,6 +60,10 @@
 	$(bindir)/gmap |debian/filter.pl >$(mandir)/gmap.1
 	$(HELP2MAN) --name='Genomic Short-read Nucleotide Alignment Program' \
 	$(bindir)/gsnap |debian/filter.pl >$(mandir)/gsnap.1
+	$(HELP2MAN) --name='Large Genome Mapping and Alignment Program' \
+	$(bindir)/gmapl |debian/filter.pl >$(mandir)/gmapl.1
+	$(HELP2MAN) --name='Large Genome Short-read Nucleotide Alignment Program' \
+	$(bindir)/gsnapl |debian/filter.pl >$(mandir)/gsnapl.1
 	$(HELP2MAN) --name='Tool for genome database creation for GMAP or GSNAP' \
 	$(utildir)/gmap_build |debian/filter.pl >$(mandir)/gmap_build.1
 ifeq (amd64,$(DEB_HOST_ARCH))
