=== debian/watch ===
Version: 5

Source: http://research-pub.gene.com/gmap/
Matching-Pattern: src/gmap-gsnap-@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Dversionmangle: auto
Repack: yes
Repacksuffix: +ds
